Method: projects.locations.privateClouds.patch

Modifies a PrivateCloud resource. Only the following fields can be updated: description, encryptionConfig. If updateMask is provided, only fields specified in it are applied. If updateMask is not provided, the default behavior is to update the description. It is advised to provide an updateMask to avoid confusion.

During operation processing, the resource is temporarily in the ACTIVE state before the operation fully completes. For that period of time, you can't update the resource. Use the operation status to determine when the processing fully completes.

HTTP request

PATCH https://vmwareengine.googleapis.com/v1/{privateCloud.name=projects/*/locations/*/privateClouds/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
privateCloud.name

string

Output only. Identifier. The resource name of this private cloud. Resource names are schemeless URIs that follow the conventions in https://cloud.google.com/apis/design/resource_names. For example: projects/my-project/locations/us-central1-a/privateClouds/my-cloud

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. Field mask is used to specify the fields to be overwritten in the PrivateCloud resource by the update. The fields specified in updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then only the description field will be overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

validateOnly

boolean

Optional. If set to true, only validates the request but doesn't execute the request. If set to false, validates and executes the request.

Request body

The request body contains an instance of PrivateCloud.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.